 Софтпанорама 1993, No.1(47)  **** NEWS ****   Составитель Н.Н.БЕЗРУКОВ
 ========================================================================
 Рекомендуется читать через Outliner, например MS WORD или из PC Tools 8.0
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ┌───────────────────────────────────────────────────────────────┐
    │  П А Н О Р А М А   К О М М Е Р Ч Е С К И Х   Н О В О С Т Е Й  │
    └───────────────────────────────────────────────────────────────┘

**************************** M A R K E T ******************************

Lotus ведет нечестную борьбу против Борланд и пока выигрывает...

   Фирма Лотус подала  в суд на  Борланд за нарушение  авторских прав на
   интерфейс и макроязык 1-2-3 и выиграла дело в суде первой  инстанции.
   В ходе процесса, который происходил по месту расположения  штаб-квар-
   тиры Лотус стало  ясно, что это  просто нечестный метод  конкурентной
   борьбы с Quattro Pro, который постоянно теснил Lotus на рынке  MS-DOS
   а с появлением версии  для Windows сделал заявку  на победу и в  этой
   среде. Будучи  не в  состоянии выиграть  у Борланд  созданием лучшего
   продукта Lotus решила взять реванш в суде и тщательно подготовилась к
   процессу, который в какой-то мере застал Борланд врасплох. Сумев про-
   вести процесс в суде своего штата Lotus обеспечила себе  дополнитель-
   ные преимущества.

   В феврале дело будет рассматриваться в апелляционном суде и в случае,
   если  Борланд  опять  проиграет,  то ему придется выплатить более 100
   млн.  долларов в качестве компенсации,  а также оплатить судебные из-
   держки. Именно в эту сумму Lotus оценила свои потери.

   С точки зрения программиста дело выглядит абсурдным, поскольку совер-
   шенно ясно, что совместимость по  макроязыку важна не столько для той
   или иной компании, сколько для пользователей. Язык как таковой, в том
   числе и макроязык  спредшитов не может быть объектом авторского  пра-
   ва. С таким же успехом IBM могла бы подать в суд на любого из  разра-
   ботчиков компилятора с Фортрана. И то,  что он увязан с меню дела  не
   меняет.

   Более того кривой интерфейс 1-2-3 не был в Quattro Pro главным.  Соб-
   ственный интерфейс Quattro Pro был явно предпочтительным и носил  от-
   печаток той турбосреды, с которой многие читатели знакомы по компиля-
   торам. Борланд обеспечила в этом продукте возможность самому  пользо-
   вателю проектировать главное  меню и интерфейс  и в качестве  примера
   предоставляла меню 1-2-3. Т.е. как не крути это не было рабским  ко-
   пированием, к которому можно было бы придраться хотя бы формально.

   В общем,  прежде  чем  покупать  что-то от Lotus или использовать его
   продукты при обучении в вузах стоит тщательно подумать. Если с созда-
   нием  конкурентноспособных  продуктов у фирмы есть определенные труд-
   ности, то по части умения вести дело в суде она похоже на высоте.

Количество домашних компьютеров в Америке увеличивается втрое быстрее чем
количество компьютеров в оффисах...

   Многие семьи уже имеют по два-три компьютера. Количество установленных
   CD ROM на домашних компьютерах превышает количество CD ROM в учреждениях.

   Вузовские библиотеки тоже переходят к хранению своих фондов на  сиди-
   ромах поскольку это освобождает огромные площади хранилищ, одно соде-
   ржание которых уже полностью оправдывает переход на сидиромы.

   Любопытно,    что    Массачусетсткая    высшая    юридическая   школа
   (Massachusetts School of Law) подала в суд на Американскую ассоциацию
   юристов (American Bar Association), поскольку последняя имеет ограни-
   чения по аккредитации учебных  заведений в зависимости от  количества
   книг в библиотеке. Поскольку Массачюсетсткая высшая юридическая школа
   перешла на электронное хранение и электронные базы данных вместо  по-
   купки дорогих кожаных фолиантов, она считает, что данное  ограничение
   в современных условиях представляется неоправданным и намерена  доби-
   ваться его отмены в судебном порядке.

AMD обретает поддержку Digital и наращивает производство 486 процессоров
несмотря на судебные преследования со стороны Intel...

   Последняя начала производство микропроцессоров 486 по технологии, ли-
   цензированной у AMD.  Учитывая продолжающийся суд с Intel  по  поводу
   нарушения  авторских  прав  на  микрокод фирмы Intel,  это соглашение
   представляется очень важным.  К концы года AMD выпустит порядка  двух
   миллионов  чипов и Intel я думаю потеряет интерес к победе в судебном
   порядке, поскольку поезд просто уйдет.

Не все коту масленица: Intel проигрывает  судебное дело CYRIX и заплатит
ей порядка десяти миллионов компенсации за нанесенный ущерб.

Технология XXI века...

   Sony и Etak Inc. скоро выпустят систему навигации для автомобилей по-
   зволяющую через спутниковую  систему определять положение  автомобиля
   на местности  и показывать  его на  карте соответствующей  местности.
   Глобальный атлас дорог будет записан на сидиром и регулярно обновлять-
   ся. Он даст возможность путешественникам быстрее находить отели  рес-
   тораны, магазины, музеи и т.д. в незнакомой стране.

*************************** H A R D W A R E ***************************

Intel обещает продемонстрировать микропроцесоор P6 весной 1995...

   Наращивая выпуск Pentium и добившись снижения тепловыделения за  счет
   модификации  планировки  кристалла фирма не собирается спокойно ждать
   пока Power PC откусят у нее часть рынка.  Правда это или неправда, но
   показать P6 она обещают следующей весной, т.е. большинство производи-
   телей будут теперь ждать этого нового кристалла для того, чтобы срав-
   нить его с Pentium. Т.е. от момента появления 486 микропроцессоров до
   появления Pentium прошло где-то лет 7, то от появления Pentium до по-
   явления  P6 пройдет всего три года.  Это означает,  что фирме удалось
   сократить свой технологический цикл почти в два раза.  Возникает воп-
   рос когда появятся P7 и P8. Неужели с интервалом где-то в год?.

CD-ROM cтановятся  стандартной  компонентой  персональных  компьютеров и
многие фирмы начали включать его в стандартную конфигурацию вместо пяти-
дюймового дисковода...

   При цене порядка $400 это  не очень дешевое удовольствие, однако  они
   того стоят. Десяток сидиромов  это очень приличная библиотека.  И это
   намного дешевле, чем очень приличная библиотека. У нас это еще, к со-
   жалению экзотика, а зря:  фактически это может существенно  сократить
   разрыв между странами Запада и странами СНГ.

###

Ведущие фирмы распродают модели ниже 486sx33 по бросовым ценам и прекращают
их производство. Неожиданная популярность конфигурации 486dx2-66-8-120 в
США...

   На распродажах компьютер 486sx25-4-120 c цветным SVGA монитором можно
   купить примерно за $800.  Замена материнской платы на 496dx2-66 и по-
   купка  еще 4M это еще примерно $500.  Американцы быстро почувствовали
   выгоду и начали приобретать такие компьютеры не только для  дома  для
   семьи, но и для мелких фирм. Т.е. комбинация 486dx2-66-8-120 за $1300
   приобрела настолько массовые размеры,  что многие фирмы почувствовали
   здесь  для себя рынок и начали предлагать эту конфигурацию в качестве
   стандартной с ценой всего на $100-$200 долларов дороже (и с  годовой,
   а то и трехлетней гарантией).

###

Быстро растет популярность клавиатур с дополнительным левым рядом клавиш
F1-F10 (как в XT) и клавиатур с центральным вcтроенным трекболом (как в
Apple PowerBook)...

   Поскольку создание Софтпанорамы вещь безусловно вредная, автор нерав-
   нодушен к устройствам облегчающим нелегкий труд набивки.  Оказывается
   время этих клавиатур пришло  и выбор колоссален. Эти  клавиатуры чуть
   дороже стандартных, но значительно удобнее при больших объемах набив-
   ки. Например клавиатура поставляемая с компьютерами Gateway2000 имеет
   еще и встроенный макрогенератор позволяющий переназначать любую  кла-
   вишу или  присваивать ей  какую-нибудь стандартную последовательность
   нажатий клавиш. Лично мне очень нравятся клавиатуры с трекболом, рас-
   положенным перед клавишей "пробел". Ряд фирм начал выпуск  трекболов,
   присоединяемых к стандартным клавиатурам, спереди и которые имеют ши-
   рину клавиатуры и подушки для кистей: не нравится не покупай и не по-
   льзуйся, хотя на мой взгляд это не может не нравиться и стоит копейки
   и одна подставка для кистей рук уже большое удобство.

   "Ломаные" клавиатуры с разнесенными клавишами для правой и левой руки
   мне еще не попадались да и пожалуй это слишком.

Mодемы  продолжают  дешеветь.  V.fast   уже  дешевле  $300.   Подешевели
модемы Telebit...

   В январе произошло существенное падение цен на Telebit. Любую модель
   можно купить за $720, а некоторые дешевле.

   Zoom предлагает модемы V.fast дешевле $300.

************************** S O F T W A R E *****************************

Появился Novell DOS 7.0 beta. Отзывы восторженные. Включает Netware
Lite...

Барина все нету. Барин все не едет: Windows 4.0 не будет еще как
минимум год...

Шлифовка OS/2 приводит к сокращению требований к оперативной памяти
и устранению ошибок: вышел новый релиз (maintenance release)...

  Новый релиз значительно лучше работает на компьютерах с 4M,
  хотя все равно лучше иметь 8M. Он может быть получен от фирмы
  или через Compuserv.

###

Появилась версия Stacker 3.0 для OS/2...

   Поскольку Microsoft  некрасиво поступила со Stack Electronics,  попы-
   тавшись "достать" эту фирму в суде за нарушение каких-то своих патен-
   тов которые она догадалась, подать не имея соответствующего продукта,
   а просто почувствовав рынок при успехе  Stacker,  а  затем  подставив
   конкуренту ножку,  выпустив MS-DOS 6.2 по бросовым ценам с возможнос-
   тям сопоставимыми со Stacker,  Stack Electronics является теперь  ес-
   тественным  союзником IBM и Novell в борьбе против доминирования Mic-
   rosoft на рынке операционных систем. Поскольку Stacker 3.0 это прове-
   ренный качественный продукт,  наличие версии под OS/2 существенно по-
   вышает привлекательность перехода на эту операционку тех, кто исполь-
   зует  Stacker  c MS-DOS,  поскольку не надо выгружать содержимое вин-
   честера и со сжатыми томами  можно  работать  из  OS/2,  Windows  или
   MS-DOS.

###

Quattro Pro 5.0 посылает Lotus 1-2-3 4.0 в нокдаун. Корпорации,
использующие Word Perfect начинают предпочитать Борланд...

   И это совершенно естественно. Quattro Pro 5.0 это по всем  параметрам
   лучший и при этом на  порядок более дешевый спредшит. Поддержка  Word
   Perfect делает его крайне привлекательным для тех корпораций, которые
   не перешли на MS WORD. Разница в цене между 1-2-3 v.4.0 и Quattro Pro
   5.0 составляет ровно порядок ($470 и $49.99), т.е. тех кто  купил или
   собирается  купить  1-2-3  4.0  можно  в какой-то мере лишь пожалеть,
   конечно если речь не идет  о людях с собственным самолетом  или дачей
   на Гаваях.

###

Борланд может отказаться от поддержки Lotus Notes в своих продуктах...

   Вероломное поведение Lotus может  повториться и в случае,  если фирма
   будет обеспечивать совместимость своих  продуктов с Lotus Notes.  По-
   этому наверное будет  лучше, если с  Notes Lotus будет  кувыркаться в
   гордом одиночестве или в теплой компании с Микрософт (а там, глядишь,
   Билл Гейтс выпустит что-то аналогичное и мне будет интересно  посмот-
   реть, рискнет ли Lotus  подавать в суд на  Microsoft в этом случае  -
   Microsoft это не Borland, здесь игра будет по всему полю).

###

Borland C++ 4.0 достойный ответ на Visial C++ 7.0...

   Наконец-то действительно поддерживаются exeptions. Конечно есть ошиб-
   ки и тем,  кто делает серьезные продукты наверное стоит подождать  до
   версии 4.1 или хотя бы какого- нибудь апгрейда,  однако ясно, что С++
   теперь действительно доминирующий язык и нравится  это  кому  то  или
   нет,  его нужно знать (хотя продукты можно писать и на С ;-).  Крити-
   ческая масса литературы компиляторов и пакетов для C++ делает целесо-
   образным переход на него при прикладном программировании под Windows,
   поскольку качество поддержки компилятора во многом определяет  трудо-
   емкость  разработки.  Поскольку  рабочей "тачкой" разработчика повсе-
   местно становится 486-66- 8-420,  а в качестве рабочих машин ставятся
   компьютеры не хуже 486sx33, существенный проигрыш в эффективности при
   переходе от С к С++ в общем-то никого уже не волнует. Ну компиляторы,
   библиотеки,  книги,  переносимость  и несколько более высокий уровень
   языка это все же плюсы, которые глупо сбрасывать со счета.

   Ну и объектно-ориентированные возможности для работы под  Windows  не
   мешают,  хотя  сейчас  когда  ажиотаж спал,  их стоит оценивать более
   трезво и не рассматривать как панацею от всех бед,  и уж тем более не
   как новую технологию программирования.  Ну а Гради Буча и прочих апо-
   логетов можно забросить на чердак и не отказываясь от C++.

   Короче, если бы не нищета,  то я сам бы стал преподавать C++  студен-
   там,  хотя  Turbo Pascal 7.0 это неплохой язык с замечательно быстрым
   компилятором.

###

Очередные версии (Works 3.0, PC Tools 9.0 for DOS, WinZip 5.0)

   Works 3.0 for Windows ничего особо интересного не предлагает.

   PC tools 9.0 for DOS исчез Desktop.  Видимо Cental Point решила удер-
   жать лидерство хотя бы в номере версий.

   WinZip 5.0 обеспечивает drag and drop для просмотра, запуска распако-
   вки и тестирования архивов.

###

******** I N T E R N E T   И  Т Е Л Е К О М М У Н И К А Ц И И ********

Электронный адрес президента Клитона: PRESIDENT@Whitehouse.Gov.

   Пока все сообщения реально приходят в здание расположенное в 30  милях
   от Белого дома, в Glenwood, Md., в фирму Trusted Information  Systems
   Inc. (TIS). Это связано с отсутствием места в Белом доме, однако  си-
   туация  изменится  с  вводом  нового  корпуса  (New  Executive Office
   building).

   TIS ежедневно получает от одной  до шести тысяч сообщений для  Белого
   дома, которые затем сортируются,  обрабатываются и передаются по  на-
   значению.

Американцы планируют создание национальной информационной супермагистра-
ли. Ведущие фирмы уже предвкушают миллиардные прибыли...

   Администрация Клинтона  планирует выделить  на создание  национальной
   информацинной супермагистрали от пятидесяти до ста миллиардов  долла-
   ров. Реально учитывая капиталовложения частных компаний эта цифра мо-
   жет удвоиться.  Несмотря на  острейший транспортный кризис украинское
   правительство похоже не планирует на создание национальной информаци-
   онной инфраструктуры  ни гроша.  В этом  плане заслуживает  сожаление
   пассивная позиция Госкомитета по науке и технологии выделяющего день-
   ги черт знает на что и  черт знает кому с целевыми программами сильно
   смахивающими на кормушку для нулеводов.

###

************************ П Р Е С Т У П Н О С Т Ь ************************

STOP, THIEF !

   The Software Publisher's Association took action in 1993 against  577
   organizations  (resulting  in  $3.6  million  in  fines) for pirating
   commercial software. The  SPA's anti-piracy hotline  is 800-388-7478.
   (Atlanta Journal-Constitution 2/3/94 C2)

NEO-NAZI NETWORK.

   The Associated  Press reports  that a  year-old computer  network now
   functions as the backbone of Germany's neo-Nazi movement. The  "Thule
   Network," named for a small, elite 1920s movement considered the Nazi
   vanguard, consists  of at  least a  dozen bulletin  boards and can be
   accessed only  by those  who've passed  a loyalty  test. The  network
   links an estimated 1,500  extreme rightists and provides  information
   on how to get to political  rallies, how to put out a  newspaper, and
   reportedly, even how to make  a bomb. So far, networkers  have eluded
   the law: "German police don't know much about computers and  bulletin
   boards. It's very new for them," says the editor of a German computer
   magazine. (St. Petersburg Times 2/2/94 A14)
###                                        (New York Times  12/6/93  A8)
